#
# spec file for package perl-Syntax-Keyword-Junction
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Syntax-Keyword-Junction
Name:           perl-Syntax-Keyword-Junction
Version:        0.003009
Release:        bp160.1.8
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Comparisons against multiple values
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/H/HA/HAARG/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Sub::Exporter::Progressive) >= 0.001006
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Needs) >= 0.002006
BuildRequires:  perl(parent)
Requires:       perl(Sub::Exporter::Progressive) >= 0.001006
Requires:       perl(parent)
%{perl_requires}

%description
This is a lightweight module which provides 'Junction' operators, the most
commonly used being 'any' and 'all'.

Inspired by the Perl 6 design docs,
https://web.archive.org/web/20230922160729/https://raku.org/archive/doc/des
ign/exe/E06.html#The%20Wonderful%20World%20of%20Junctions.

Provides a limited subset of the functionality of Quantum::Superpositions,
see "SEE ALSO" for comment.

Notice in the SYNOPSIS above, that if you want to match against a regular
expression, you must use '==' or '!='. *Not* '=~' or '!~'. You must also
use a regex object, such as 'qr/\d/', not a plain regex such as '/\d/'.

%prep
%autosetup  -n %{cpan_name}-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Wed Aug 21 2024 Tina Müller <timueller+perl@suse.de>
- updated to 0.003009
  see /usr/share/doc/packages/perl-Syntax-Keyword-Junction/Changes
  0.003009  2024-08-20
  - fixed smart match warnings on perls 5.38 or greater
  - stop enabling smart match support on perl 5.41 or greater
  - many packaging cleanups
  - removed direct dependency on syntax.pm
* Mon Apr 13 2015 coolo@suse.com
- updated to 0.003008
  see /usr/share/doc/packages/perl-Syntax-Keyword-Junction/Changes
  0.003008  2014-07-06 20:08:35-05:00 America/Chicago
  - Stop using base.pm (Olivier Mengué)
* Mon Mar 10 2014 coolo@suse.com
- updated to 0.003007
  - Minor typo fixes
  - Finally really silence warnings above 5.17.10
  - Remove useless array copy to measurably improve performance (Maxime Soulé)
  - Make tests pass even if Sub::Exporter is not installed
  - Set version for Test::More dep (reported by ppisar)
* Sun Aug  4 2013 coolo@suse.com
- initial package 0.003004
  * created by cpanspec 1.78.07
